#
# Makefile configuration file to set up BSP dependent Makefile variables.
# (TC29xx Board Support Package)
#
# Copyright HighTec EDV-Systeme GmbH 1982-2018
#

MCPU = tc29xx
LINK_MCPU = tc161
TOOLCHAIN = TRICORE

BSP_LSF = memoryIntCode.x

ifeq ($(BSP_BOARD),)
  $(error BSP_BOARD is not set!)
endif

BSP_CDEFS	= -D$(BSP_BOARD)
BSP_ASDEFS	=
BSP_CEXTRA	=
BSP_CWARN	=
BSP_COPTS	=

ifeq ($(BSP_BOARD),APPKIT_TC297TFT)
PDL_PACKAGE_NAME= AppKit-TC297TFT
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC297B Application Kit
PDL_BOARD_NAME	= Application Kit TC297 B-Step
BOARD_UDE_CONF	= AppKit_TC297B_singlecore
endif
ifeq ($(BSP_BOARD),TRIBOARD_TC29XA)
PDL_PACKAGE_NAME= TriBoard-TC29xA
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC29xA Starterkit
PDL_BOARD_NAME	= TriBoard TC29x A-Step
BOARD_UDE_CONF	= TriBoard_TC29xA_singlecore
endif
ifeq ($(BSP_BOARD),TRIBOARD_TC29XB)
PDL_PACKAGE_NAME= TriBoard-TC29xB
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC29xB Starterkit
PDL_BOARD_NAME	= TriBoard TC29x B-Step
BOARD_UDE_CONF	= TriBoard_TC29xB_singlecore
endif
ifeq ($(BSP_BOARD),PHYCORE_TC29XB)
PDL_PACKAGE_NAME= phyCORE-TC29xB
BOARD_VENDOR	= Phytec
BOARD_CLASS	= TC29xB Starterkit
PDL_BOARD_NAME	= phyCORE TC29x B-Step
BOARD_UDE_CONF	= phyCORE_TC29xB_singlecore
endif
