#
# Makefile configuration file to set up BSP dependent Makefile variables.
# (TC39xx Board Support Package)
#
# Copyright HighTec EDV-Systeme GmbH 1982-2018
#

MCPU = tc39xx
LINK_MCPU = tc162
TOOLCHAIN = TRICORE

BSP_LSF = memoryIntCode.x

ifeq ($(BSP_BOARD),)
  $(error BSP_BOARD is not set!)
endif

BSP_CDEFS	= -D$(BSP_BOARD)
BSP_ASDEFS	=
BSP_CEXTRA	=
BSP_CWARN	=
BSP_COPTS	=

ifeq ($(BSP_BOARD),TRIBOARD_TC39XA)
PDL_PACKAGE_NAME= TriBoard-TC39xA
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC39xA Starterkit
PDL_BOARD_NAME	= TriBoard TC39x A-Step
BOARD_UDE_CONF	= TriBoard_TC39xA_Singlecore
endif
ifeq ($(BSP_BOARD),TRIBOARD_TC39XB)
PDL_PACKAGE_NAME= TriBoard-TC39xB
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC39xB Starterkit
PDL_BOARD_NAME	= TriBoard TC39x B-Step
BOARD_UDE_CONF	= TriBoard_TC39xB_Singlecore
endif
ifeq ($(BSP_BOARD),PHYCORE_TC39XB)
PDL_PACKAGE_NAME= phyCORE-TC39xB
BOARD_VENDOR	= Phytec
BOARD_CLASS	= TC39xB Starterkit
PDL_BOARD_NAME	= phyCORE TC39x B-Step
BOARD_UDE_CONF	= phyCORE_TC39xB_Singlecore
endif
ifeq ($(BSP_BOARD),APPKIT_TC397TFT)
PDL_PACKAGE_NAME= AppKit-TC397TFT
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC39xA Application Kit
PDL_BOARD_NAME	= Application Kit TC397 A-Step
BOARD_UDE_CONF	= AppKit_TC39xA_Singlecore
endif
ifeq ($(BSP_BOARD),APPKIT_TC397TFT_ADAS)
PDL_PACKAGE_NAME= AppKit-TC397TFT_ADAS
BOARD_VENDOR	= Infineon
BOARD_CLASS	= TC39xA Application Kit
PDL_BOARD_NAME	= Application Kit TC397 A-Step (ADAS)
BOARD_UDE_CONF	= AppKit_TC39xA_Singlecore
endif
