/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          --------------------------------------------------------           *
*                                                                             *
* Filename : efs_interface.h                                                  *
* Description : This headerfile includes the right interface headerfile       *
*                                                                             *
* This library is free software; you can redistribute it and/or               *
* modify it under the terms of the GNU Lesser General Public                  *
* License as published by the Free Software Foundation; either                *
* version 2.1 of the License, or (at your option) any later version.          *
*                                                                             *
* This library is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           *
* Lesser General Public License for more details.                             *
*                                                                             *
*                                                                             *
*                                                    (c)2004 Lennart Yseboodt *
*                                                    (c)2004 Michael De Nil   *
\*****************************************************************************/

#ifndef __EFS_INTERFACE_H__
#define __EFS_INTERFACE_H__

/*****************************************************************************/
#include "efs_types.h"
/*****************************************************************************/

#if defined(HW_ENDPOINT_LINUX) || defined(HW_ENDPOINT_LINUX64)
	#include "interfaces/linuxfile.h"
#elif defined(HW_ENDPOINT_ATMEGA128_SD)
	#include "interfaces/atmega128.h"
#elif defined(HW_ENDPOINT_DSP_TI6713_SD)
	#include "interfaces/dsp67xx.h"
#elif defined(HW_ENDPOINT_LPC2000_SD) || defined(HW_ENDPOINT_AT91_SD) || defined(HW_ENDPOINT_SPI_SD)
	#include "interfaces/sd_spi.h"
#elif defined(HW_ENDPOINT_AT91_MCI) || defined(HW_ENDPOINT_AT91_HSMCI)
	#include "interfaces/at91_mci.h"
#elif defined(HW_ENDPOINT_STM32_SDIO)
	#include "interfaces/stm32_sdio.h"
#else
	#error "NO INTERFACE DEFINED - see interface.h"
#endif

#endif /* __EFS_INTERFACE_H__ */
