/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          --------------------- -----------------------------------          *
*                                                                             *
* Filename : efs_ls.h                                                         *
* Description : Headerfile for efs_ls.c                                       *
*                                                                             *
* This library is free software; you can redistribute it and/or               *
* modify it under the terms of the GNU Lesser General Public                  *
* License as published by the Free Software Foundation; either                *
* version 2.1 of the License, or (at your option) any later version.          *
*                                                                             *
* This library is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           *
* Lesser General Public License for more details.                             *
*                                                                             *
*                                                    (c)2004 Lennart Yseboodt *
*                                                    (c)2004 Michael De Nil   *
\*****************************************************************************/

#ifndef __EFS_LS_H__
#define __EFS_LS_H__

/*****************************************************************************/
#include "efs_fs.h"
/*****************************************************************************/

struct ListDirEntry
{
	euint8 FileName[LIST_MAXLENFILENAME];
	euint8 Attribute;
	euint32 FileSize;
	euint16 FileTime;
	euint16 FileDate;
};
typedef struct ListDirEntry ListDirEntry;

struct DirList
{
	FileSystem *fs;
	euint16 cEntry, rEntry;
	ListDirEntry currentEntry;
	ClusterChain Cache;
};
typedef struct DirList DirList;

esint8 ls_openDir(DirList *dlist, FileSystem *fs, eint8 *dirname);
esint8 ls_getNext(DirList *dlist);
void ls_fileEntryToDirListEntry(DirList *dlist, euint8 *buf, euint16 offset);

#endif /* __EFS_LS_H__ */
