/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          --------------------- -----------------------------------          *
*                                                                             *
* Filename : efs_time.h                                                       *
* Description : Headerfile for efs_time.c                                     *
*                                                                             *
* This library is free software; you can redistribute it and/or               *
* modify it under the terms of the GNU Lesser General Public                  *
* License as published by the Free Software Foundation; either                *
* version 2.1 of the License, or (at your option) any later version.          *
*                                                                             *
* This library is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           *
* Lesser General Public License for more details.                             *
*                                                                             *
*                                                    (c)2004 Lennart Yseboodt *
*                                                    (c)2004 Michael De Nil   *
\*****************************************************************************/

#ifndef __EFS_TIME_H__
#define __EFS_TIME_H__

/*****************************************************************************/
#include "efs_types.h"
/*****************************************************************************/

#ifdef DATE_TIME_SUPPORT
#ifndef NULL
#define NULL	(void *)0
#endif /* NULL */

	typedef struct
	{
		euint16 year;
		euint8  month;
		euint8  day;
		euint8  hours;
		euint8  minutes;
		euint8  seconds;
	} efsl_real_time_t;

	euint8 fs_makeTimeDate(const efsl_real_time_t *time_now, euint16 *time, euint16 *date);
	euint8 efsl_getLocalTime(efsl_real_time_t *buf);
	void fs_unpackTimeDate(efsl_real_time_t *time_date, euint16 time, euint16 date);

	#define time_getTimeDate(a,b,c)		fs_makeTimeDate((a), &(b), &(c))
	#define time_getLocalTime(a)		efsl_getLocalTime((a))
	#define time_unpackTimeDate(a,b,c)	fs_unpackTimeDate((a), (b), (c))
#else
	#define time_getTimeDate(a,b,c)		(b) = (c) = 0
#endif /* DATE_TIME_SUPPORT */

#endif /* __EFS_TIME_H__ */
