/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          ---------------------------------------------------------          *
*                                                                             *
* Filename :  sd.h                                                            *
* Revision :  Initial developement                                            *
* Description : Headerfile for sd.c                                           *
*                                                                             *
* This library is free software; you can redistribute it and/or               *
* modify it under the terms of the GNU Lesser General Public                  *
* License as published by the Free Software Foundation; either                *
* version 2.1 of the License, or (at your option) any later version.          *
*                                                                             *
* This library is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of              *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           *
* Lesser General Public License for more details.                             *
*                                                                             *
*                                                    (c)2005 Michael De Nil   *
*                                                    (c)2005 Lennart Yseboodt *
*                LPC2000 and AT91SAM ARM7 Interfaces (c)2005 Martin Thomas    *
\*****************************************************************************/

#ifndef __EFS_SD_H__
#define __EFS_SD_H__

#include "efs_types.h"

#ifdef HW_ENDPOINT_ATMEGA128_SD
	#include "interfaces/atmega128.h"
#endif
#ifdef HW_ENDPOINT_DSP_TI6713_SD
	#include "interfaces/dsp67xx.h"
#endif
#if defined(HW_ENDPOINT_LPC2000_SD) || defined(HW_ENDPOINT_AT91_SD) || defined(HW_ENDPOINT_SPI_SD)
	#include "interfaces/sd_spi.h"
#endif


esint8 sd_Init(hwInterface *iface);
void sd_Command(hwInterface *iface, euint8 cmd, euint32 param);
euint8 sd_Resp8b(hwInterface *iface);
void sd_Resp8bError(hwInterface *iface, euint8 value);
euint16 sd_Resp16b(hwInterface *iface);
euint32 sd_Resp32b(hwInterface *iface);
esint8 sd_State(hwInterface *iface);

esint8 sd_readSector(hwInterface *iface, euint32 address, euint8 *buf, euint16 len);
esint8 sd_writeSector(hwInterface *iface, euint32 address, euint8 *buf);

/* extension mthomas: */
esint8 sd_getDriveSize(hwInterface *iface, euint32 *drive_size);


#endif /* __EFS_SD_H__ */
