/*====================================================================
* Project:  Board Support Package
* Function: Standalone driver for using gigabit ethernet module of TC3x
*
* Copyright HighTec EDV-Systeme GmbH 1982-2019
*====================================================================*/

#ifndef __GETH_TC3X_H__
#define __GETH_TC3X_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/* initialise ethernet hardware using given MAC address */
int eth_tc3x_init(const unsigned char *eth_mac);
/* returns 1 if ethernet needs some action, else 0 */
int eth_tc3x_poll(void);
/* returns number of bytes send or < 0 */
int eth_tc3x_send(const char *buf, int len);
/* returns number of bytes read or < 0 */
int eth_tc3x_read(char *buf, int bufsize);
/* shutdown ethernet device */
void eth_tc3x_stop(int wait);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /*__GETH_TC3X_H__ */
