/**
 * \file IfxPort_PinMap.h
 * \brief PORT I/O map
 * \ingroup IfxLld_Port
 *
 * \version iLLD_1_0_1_11_0
 * \copyright Copyright (c) 2017 Infineon Technologies AG. All rights reserved.
 *
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Use of this file is subject to the terms of use agreed between (i) you or 
 * the company in which ordinary course of business you are acting and (ii) 
 * Infineon Technologies AG or its licensees. If and as long as no such 
 * terms of use are agreed, use of this file is subject to following:


 * Boost Software License - Version 1.0 - August 17th, 2003

 * Permission is hereby granted, free of charge, to any person or 
 * organization obtaining a copy of the software and accompanying 
 * documentation covered by this license (the "Software") to use, reproduce,
 * display, distribute, execute, and transmit the Software, and to prepare
 * derivative works of the Software, and to permit third-parties to whom the 
 * Software is furnished to do so, all subject to the following:

 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.

 *
 * \defgroup IfxLld_Port_pinmap PORT Pin Mapping
 * \ingroup IfxLld_Port
 */

#ifndef IFXPORT_PINMAP_H
#define IFXPORT_PINMAP_H

#include <Port/Std/IfxPort.h>

/** \addtogroup IfxLld_Port_pinmap
 * \{ */


IFX_EXTERN IfxPort_Pin IfxPort_P00_0;  /**< \brief IfxPort_P00_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_1;  /**< \brief IfxPort_P00_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_10;  /**< \brief IfxPort_P00_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_11;  /**< \brief IfxPort_P00_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_12;  /**< \brief IfxPort_P00_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_13;  /**< \brief IfxPort_P00_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_14;  /**< \brief IfxPort_P00_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_15;  /**< \brief IfxPort_P00_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_2;  /**< \brief IfxPort_P00_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_3;  /**< \brief IfxPort_P00_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_4;  /**< \brief IfxPort_P00_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_5;  /**< \brief IfxPort_P00_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_6;  /**< \brief IfxPort_P00_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_7;  /**< \brief IfxPort_P00_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_8;  /**< \brief IfxPort_P00_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_9;  /**< \brief IfxPort_P00_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_0;  /**< \brief IfxPort_P01_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_1;  /**< \brief IfxPort_P01_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_10;  /**< \brief IfxPort_P01_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_11;  /**< \brief IfxPort_P01_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_12;  /**< \brief IfxPort_P01_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_13;  /**< \brief IfxPort_P01_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_14;  /**< \brief IfxPort_P01_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_15;  /**< \brief IfxPort_P01_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_2;  /**< \brief IfxPort_P01_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_3;  /**< \brief IfxPort_P01_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_4;  /**< \brief IfxPort_P01_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_5;  /**< \brief IfxPort_P01_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_6;  /**< \brief IfxPort_P01_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_7;  /**< \brief IfxPort_P01_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_8;  /**< \brief IfxPort_P01_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P01_9;  /**< \brief IfxPort_P01_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_0;  /**< \brief IfxPort_P02_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_1;  /**< \brief IfxPort_P02_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_10;  /**< \brief IfxPort_P02_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_11;  /**< \brief IfxPort_P02_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_12;  /**< \brief IfxPort_P02_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_13;  /**< \brief IfxPort_P02_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_14;  /**< \brief IfxPort_P02_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_15;  /**< \brief IfxPort_P02_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_2;  /**< \brief IfxPort_P02_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_3;  /**< \brief IfxPort_P02_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_4;  /**< \brief IfxPort_P02_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_5;  /**< \brief IfxPort_P02_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_6;  /**< \brief IfxPort_P02_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_7;  /**< \brief IfxPort_P02_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_8;  /**< \brief IfxPort_P02_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_9;  /**< \brief IfxPort_P02_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_0;  /**< \brief IfxPort_P10_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_1;  /**< \brief IfxPort_P10_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_10;  /**< \brief IfxPort_P10_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_11;  /**< \brief IfxPort_P10_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_13;  /**< \brief IfxPort_P10_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_14;  /**< \brief IfxPort_P10_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_15;  /**< \brief IfxPort_P10_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_2;  /**< \brief IfxPort_P10_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_3;  /**< \brief IfxPort_P10_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_4;  /**< \brief IfxPort_P10_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_5;  /**< \brief IfxPort_P10_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_6;  /**< \brief IfxPort_P10_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_7;  /**< \brief IfxPort_P10_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_8;  /**< \brief IfxPort_P10_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_9;  /**< \brief IfxPort_P10_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_0;  /**< \brief IfxPort_P11_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_1;  /**< \brief IfxPort_P11_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_10;  /**< \brief IfxPort_P11_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_11;  /**< \brief IfxPort_P11_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_12;  /**< \brief IfxPort_P11_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_13;  /**< \brief IfxPort_P11_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_14;  /**< \brief IfxPort_P11_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_15;  /**< \brief IfxPort_P11_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_2;  /**< \brief IfxPort_P11_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_3;  /**< \brief IfxPort_P11_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_4;  /**< \brief IfxPort_P11_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_5;  /**< \brief IfxPort_P11_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_6;  /**< \brief IfxPort_P11_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_7;  /**< \brief IfxPort_P11_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_8;  /**< \brief IfxPort_P11_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_9;  /**< \brief IfxPort_P11_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P12_0;  /**< \brief IfxPort_P12_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P12_1;  /**< \brief IfxPort_P12_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_0;  /**< \brief IfxPort_P13_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_1;  /**< \brief IfxPort_P13_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_10;  /**< \brief IfxPort_P13_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_11;  /**< \brief IfxPort_P13_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_12;  /**< \brief IfxPort_P13_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_13;  /**< \brief IfxPort_P13_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_14;  /**< \brief IfxPort_P13_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_15;  /**< \brief IfxPort_P13_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_2;  /**< \brief IfxPort_P13_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_3;  /**< \brief IfxPort_P13_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_4;  /**< \brief IfxPort_P13_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_5;  /**< \brief IfxPort_P13_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_6;  /**< \brief IfxPort_P13_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_7;  /**< \brief IfxPort_P13_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_9;  /**< \brief IfxPort_P13_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_0;  /**< \brief IfxPort_P14_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_1;  /**< \brief IfxPort_P14_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_10;  /**< \brief IfxPort_P14_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_11;  /**< \brief IfxPort_P14_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_12;  /**< \brief IfxPort_P14_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_13;  /**< \brief IfxPort_P14_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_14;  /**< \brief IfxPort_P14_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_15;  /**< \brief IfxPort_P14_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_2;  /**< \brief IfxPort_P14_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_3;  /**< \brief IfxPort_P14_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_4;  /**< \brief IfxPort_P14_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_5;  /**< \brief IfxPort_P14_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_6;  /**< \brief IfxPort_P14_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_7;  /**< \brief IfxPort_P14_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_8;  /**< \brief IfxPort_P14_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_9;  /**< \brief IfxPort_P14_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_0;  /**< \brief IfxPort_P15_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_1;  /**< \brief IfxPort_P15_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_10;  /**< \brief IfxPort_P15_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_11;  /**< \brief IfxPort_P15_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_12;  /**< \brief IfxPort_P15_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_13;  /**< \brief IfxPort_P15_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_14;  /**< \brief IfxPort_P15_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_15;  /**< \brief IfxPort_P15_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_2;  /**< \brief IfxPort_P15_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_3;  /**< \brief IfxPort_P15_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_4;  /**< \brief IfxPort_P15_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_5;  /**< \brief IfxPort_P15_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_6;  /**< \brief IfxPort_P15_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_7;  /**< \brief IfxPort_P15_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_8;  /**< \brief IfxPort_P15_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_0;  /**< \brief IfxPort_P20_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_1;  /**< \brief IfxPort_P20_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_10;  /**< \brief IfxPort_P20_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_11;  /**< \brief IfxPort_P20_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_12;  /**< \brief IfxPort_P20_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_13;  /**< \brief IfxPort_P20_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_14;  /**< \brief IfxPort_P20_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_3;  /**< \brief IfxPort_P20_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_6;  /**< \brief IfxPort_P20_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_7;  /**< \brief IfxPort_P20_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_8;  /**< \brief IfxPort_P20_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_9;  /**< \brief IfxPort_P20_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_0;  /**< \brief IfxPort_P21_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_1;  /**< \brief IfxPort_P21_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_2;  /**< \brief IfxPort_P21_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_3;  /**< \brief IfxPort_P21_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_4;  /**< \brief IfxPort_P21_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_5;  /**< \brief IfxPort_P21_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_6;  /**< \brief IfxPort_P21_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_7;  /**< \brief IfxPort_P21_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_0;  /**< \brief IfxPort_P22_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_1;  /**< \brief IfxPort_P22_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_10;  /**< \brief IfxPort_P22_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_11;  /**< \brief IfxPort_P22_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_2;  /**< \brief IfxPort_P22_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_3;  /**< \brief IfxPort_P22_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_4;  /**< \brief IfxPort_P22_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_5;  /**< \brief IfxPort_P22_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_6;  /**< \brief IfxPort_P22_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_7;  /**< \brief IfxPort_P22_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_8;  /**< \brief IfxPort_P22_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_9;  /**< \brief IfxPort_P22_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_0;  /**< \brief IfxPort_P23_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_1;  /**< \brief IfxPort_P23_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_2;  /**< \brief IfxPort_P23_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_3;  /**< \brief IfxPort_P23_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_4;  /**< \brief IfxPort_P23_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_5;  /**< \brief IfxPort_P23_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_6;  /**< \brief IfxPort_P23_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_7;  /**< \brief IfxPort_P23_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_0;  /**< \brief IfxPort_P24_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_1;  /**< \brief IfxPort_P24_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_10;  /**< \brief IfxPort_P24_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_11;  /**< \brief IfxPort_P24_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_12;  /**< \brief IfxPort_P24_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_13;  /**< \brief IfxPort_P24_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_14;  /**< \brief IfxPort_P24_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_15;  /**< \brief IfxPort_P24_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_2;  /**< \brief IfxPort_P24_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_3;  /**< \brief IfxPort_P24_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_4;  /**< \brief IfxPort_P24_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_5;  /**< \brief IfxPort_P24_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_6;  /**< \brief IfxPort_P24_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_7;  /**< \brief IfxPort_P24_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_8;  /**< \brief IfxPort_P24_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P24_9;  /**< \brief IfxPort_P24_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_0;  /**< \brief IfxPort_P25_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_1;  /**< \brief IfxPort_P25_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_10;  /**< \brief IfxPort_P25_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_11;  /**< \brief IfxPort_P25_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_12;  /**< \brief IfxPort_P25_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_13;  /**< \brief IfxPort_P25_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_14;  /**< \brief IfxPort_P25_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_15;  /**< \brief IfxPort_P25_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_2;  /**< \brief IfxPort_P25_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_3;  /**< \brief IfxPort_P25_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_4;  /**< \brief IfxPort_P25_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_5;  /**< \brief IfxPort_P25_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_6;  /**< \brief IfxPort_P25_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_7;  /**< \brief IfxPort_P25_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_8;  /**< \brief IfxPort_P25_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P25_9;  /**< \brief IfxPort_P25_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P26_0;  /**< \brief IfxPort_P26_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_0;  /**< \brief IfxPort_P30_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_1;  /**< \brief IfxPort_P30_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_10;  /**< \brief IfxPort_P30_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_11;  /**< \brief IfxPort_P30_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_12;  /**< \brief IfxPort_P30_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_13;  /**< \brief IfxPort_P30_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_14;  /**< \brief IfxPort_P30_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_15;  /**< \brief IfxPort_P30_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_2;  /**< \brief IfxPort_P30_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_3;  /**< \brief IfxPort_P30_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_4;  /**< \brief IfxPort_P30_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_5;  /**< \brief IfxPort_P30_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_6;  /**< \brief IfxPort_P30_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_7;  /**< \brief IfxPort_P30_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_8;  /**< \brief IfxPort_P30_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P30_9;  /**< \brief IfxPort_P30_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_0;  /**< \brief IfxPort_P31_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_1;  /**< \brief IfxPort_P31_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_10;  /**< \brief IfxPort_P31_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_11;  /**< \brief IfxPort_P31_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_12;  /**< \brief IfxPort_P31_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_13;  /**< \brief IfxPort_P31_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_14;  /**< \brief IfxPort_P31_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_15;  /**< \brief IfxPort_P31_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_2;  /**< \brief IfxPort_P31_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_3;  /**< \brief IfxPort_P31_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_4;  /**< \brief IfxPort_P31_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_5;  /**< \brief IfxPort_P31_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_6;  /**< \brief IfxPort_P31_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_7;  /**< \brief IfxPort_P31_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_8;  /**< \brief IfxPort_P31_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P31_9;  /**< \brief IfxPort_P31_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_0;  /**< \brief IfxPort_P32_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_1;  /**< \brief IfxPort_P32_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_2;  /**< \brief IfxPort_P32_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_3;  /**< \brief IfxPort_P32_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_4;  /**< \brief IfxPort_P32_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_5;  /**< \brief IfxPort_P32_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_6;  /**< \brief IfxPort_P32_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P32_7;  /**< \brief IfxPort_P32_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_0;  /**< \brief IfxPort_P33_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_1;  /**< \brief IfxPort_P33_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_10;  /**< \brief IfxPort_P33_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_11;  /**< \brief IfxPort_P33_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_12;  /**< \brief IfxPort_P33_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_13;  /**< \brief IfxPort_P33_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_14;  /**< \brief IfxPort_P33_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_15;  /**< \brief IfxPort_P33_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_2;  /**< \brief IfxPort_P33_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_3;  /**< \brief IfxPort_P33_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_4;  /**< \brief IfxPort_P33_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_5;  /**< \brief IfxPort_P33_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_6;  /**< \brief IfxPort_P33_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_7;  /**< \brief IfxPort_P33_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_8;  /**< \brief IfxPort_P33_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_9;  /**< \brief IfxPort_P33_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_1;  /**< \brief IfxPort_P34_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_2;  /**< \brief IfxPort_P34_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_3;  /**< \brief IfxPort_P34_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_4;  /**< \brief IfxPort_P34_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_5;  /**< \brief IfxPort_P34_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_0;  /**< \brief IfxPort_P40_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_1;  /**< \brief IfxPort_P40_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_10;  /**< \brief IfxPort_P40_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_11;  /**< \brief IfxPort_P40_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_12;  /**< \brief IfxPort_P40_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_13;  /**< \brief IfxPort_P40_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_14;  /**< \brief IfxPort_P40_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_15;  /**< \brief IfxPort_P40_15 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_2;  /**< \brief IfxPort_P40_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_3;  /**< \brief IfxPort_P40_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_4;  /**< \brief IfxPort_P40_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_5;  /**< \brief IfxPort_P40_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_6;  /**< \brief IfxPort_P40_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_7;  /**< \brief IfxPort_P40_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_8;  /**< \brief IfxPort_P40_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_9;  /**< \brief IfxPort_P40_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_0;  /**< \brief IfxPort_P41_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_1;  /**< \brief IfxPort_P41_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_2;  /**< \brief IfxPort_P41_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_3;  /**< \brief IfxPort_P41_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_4;  /**< \brief IfxPort_P41_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_5;  /**< \brief IfxPort_P41_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_6;  /**< \brief IfxPort_P41_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_7;  /**< \brief IfxPort_P41_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_8;  /**< \brief IfxPort_P41_8 */

/** \brief Table dimensions */
#define IFXPORT_PINMAP_NUM_MODULES 42
#define IFXPORT_PINMAP_PIN_NUM_ITEMS 16


/** \brief IfxPort_Pin table */
IFX_EXTERN const IfxPort_Pin *IfxPort_Pin_pinTable[IFXPORT_PINMAP_NUM_MODULES][IFXPORT_PINMAP_PIN_NUM_ITEMS];

/** \} */

#endif /* IFXPORT_PINMAP_H */
